from gpiozero import DigitalInputDevice
import time

# GPIO 26 is connected to the signal wire of a digital button. 
button = DigitalInputDevice(26)

while True:
    try:
        # The following conditional works if the signal wire is pulled high.
        #   button.is_active is True if the button is not pushed.
        #   button.is_active is False if the button is pushed. 
        #   Adafruit's button PCB has a pull-up resistor:
        #     https://www.adafruit.com/product/4431
        # If the signal wire is pulled low, change the following conditional.
        #   button.is_active is False if the button is not pushed.
        #   button.is_active is True if the button is pushed. 
        #   DFRobot's Gravity button PCBs pull-down the signal wire.
        #     https://www.adafruit.com/product/4431
        #     https://www.dfrobot.com/product-1095.html
        if button.is_active == False:
            print("Pushed!")
        time.sleep(0.25)
    except KeyboardInterrupt:
        break
    

